List tour feedback
curl --request GET \
--url https://core-api.getaptly.com/api/tours/feedback \
--header 'x-token: <api-key>'import requests
url = "https://core-api.getaptly.com/api/tours/feedback"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://core-api.getaptly.com/api/tours/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core-api.getaptly.com/api/tours/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core-api.getaptly.com/api/tours/feedback"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core-api.getaptly.com/api/tours/feedback")
.header("x-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core-api.getaptly.com/api/tours/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"showingId": "<string>",
"status": "completed",
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"tourDate": "2023-11-07T05:31:56Z",
"instanceId": "<string>",
"propertyName": "<string>",
"applicant": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"responses": [
{
"question": "<string>",
"answer": "<string>",
"rating": 3
}
],
"averageRating": 123
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>",
"message": "<string>"
}Tours
List tour feedback
Returns post-tour feedback surveys for the company, newest first.
A survey is created when a tour showing is approved on a board with tour feedback enabled, and the applicant answers it through an emailed link.
Accepts an API key (x-token), delegate token (Authorization: DelegateToken <token>
with the tours scope), or partner token (Authorization: Bearer <token> with
boards permission). When using a partner token, pass companyId as a query parameter.
GET
/
api
/
tours
/
feedback
List tour feedback
curl --request GET \
--url https://core-api.getaptly.com/api/tours/feedback \
--header 'x-token: <api-key>'import requests
url = "https://core-api.getaptly.com/api/tours/feedback"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://core-api.getaptly.com/api/tours/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core-api.getaptly.com/api/tours/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core-api.getaptly.com/api/tours/feedback"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core-api.getaptly.com/api/tours/feedback")
.header("x-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core-api.getaptly.com/api/tours/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"showingId": "<string>",
"status": "completed",
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"tourDate": "2023-11-07T05:31:56Z",
"instanceId": "<string>",
"propertyName": "<string>",
"applicant": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"responses": [
{
"question": "<string>",
"answer": "<string>",
"rating": 3
}
],
"averageRating": 123
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>",
"message": "<string>"
}